function [ ] = sobelisevar( rgbmatrix )
%UNTITLED5 Summary of this function goes here
%   Detailed explanation goes here
startimg=rgbmatrix;
sobel_img=edge(imadjust(rgb2gray(startimg),stretchlim(rgb2gray(startimg)),[]),'sobel');
sobel_inv=(sobel_img-1)*-1;
sobel_fuse=imfuse(startimg,sobel_inv,'blend');
sobel_fuse2=imfuse(imadjust(rgb2gray(startimg),stretchlim(rgb2gray(startimg)),[]),sobel_inv,'blend');
montage=imfuse(sobel_fuse,sobel_fuse2,'montage');
figure('Name','Sobel-Filtered RGB Image')
imshow(montage)
vname=@(x) inputname(1);
rgbname=vname(rgbmatrix);
titlestring=sprintf('Image %s: RGB to Mono, Contrast Stretch, Sobel Filter, Overlay',rgbname);
title(titlestring)
prompt = 'Save? (boolean): ';
save=input(prompt);
if save ~= 0
    prompt = 'Filename (no ext.): ';
    rgbname=input(prompt,'s');
    savetitle=sprintf('%s_sobel%s',rgbname,'.bmp');
    imwrite(sobel_fuse,savetitle);
end
putvar(sobel_img,sobel_fuse)
end